"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.toTypeName = void 0;
function toTypeName(tableName, operation) {
    const camelCaseTableName = tableName.replace(/(_\w)/g, (match) => match[1].toUpperCase());
    const formattedTableName = camelCaseTableName[0].toUpperCase() + camelCaseTableName.slice(1);
    if (operation === 'Get') {
        return formattedTableName.slice(0, -1);
    }
    return `${operation}${formattedTableName.slice(0, -1)}`;
}
exports.toTypeName = toTypeName;
